use serde::Deserialize;
use std::net::IpAddr;

#[derive(Deserialize, Debug, Clone)]
pub struct Config {
    pub host: IpAddr,
    pub port: u16,
    pub log_level: log::Level,
    pub discord_token: String,
    pub miniflux_base_url: String,
    pub miniflux_webhook_secret: String,
    pub payload_max_size: u64,
    pub whitelisted_user_ids: Vec<u64>,
}
